using System;

namespace zadatak1
{
    class Program
    {
        static void razmeni(int[] a, int i, int j)
        {
            if (i < a.Length - 1)
            {
                a[i] = a[j];
                razmeni(a, i + 1, j + 1);
            }
        }
        static void Main(string[] args)
        {
            string[] s = Console.ReadLine().Split();
            int n = int.Parse(s[0]);
            int k = int.Parse(s[1]);
            int[] a = new int[n];
            int moc = 0;
            s = Console.ReadLine().Split();
            for (int i = 0; i < n; i++)
            {
                a[i] = int.Parse(s[i]);
            }
            int j = 0;
            bool ok = false;
            int d = n;
            while (j < n - 1)
            {
                if (k >= 2)
                {
                    if (a[j] > a[d - 1])
                    {
                        moc += a[j] - a[d - 1];
                        d--;
                        k -= 2;
                        j++;
                    }
                    else
                    {
                        moc += a[n - 1] - a[j];
                        razmeni(a, 0, 1);
                        k -= 2;
                        j++;
                    }
                }
                else
                {
                    ok = true;
                    break;
                }
            }
            if (ok)
            {
                Console.WriteLine(moc);
            }
        }
    }
}